
set GDAL_DATA=c:\program files\GDAL\gdal-data
set GDAL_DRIVER_PATH=C:\Program Files\GDAL\gdalplugins
set PROJ_LIB=C:\Program Files\GDAL\projlib
set PYTHONPATH=C:\Program Files\GDAL\


REM SET PATH=%PATH%;c:\program files\gdal\
SET PATH=c:\program files\gdal\;%PATH%


echo 1
ogr2ogr         -f GPKG -select typefunctioneelgebied,soortnaam,naamnl test.gpkg ..\gpkg\top10nl_FunctioneelGebied.gpkg top10nl_functioneel_gebied_vlak
ogr2ogr -update -f GPKG -select typefunctioneelgebied,soortnaam,naamnl test.gpkg ..\gpkg\top10nl_FunctioneelGebied.gpkg top10nl_functioneel_gebied_multivlak
ogr2ogr -update -f GPKG -select typefunctioneelgebied,soortnaam,naamnl test.gpkg ..\gpkg\top10nl_FunctioneelGebied.gpkg top10nl_functioneel_gebied_punt
echo 2
ogr2ogr -update -f GPKG -select typegebouw,fysiekvoorkomen,hoogteklasse,hoogteniveau,hoogte,status,soortnaam,naam,gebruiksdoel test.gpkg ..\gpkg\top10nl_Gebouw.gpkg top10nl_gebouw_punt
ogr2ogr -update -f GPKG -select typegebouw,fysiekvoorkomen,hoogteklasse,hoogteniveau,hoogte,status,soortnaam,naam,gebruiksdoel test.gpkg ..\gpkg\top10nl_Gebouw.gpkg top10nl_gebouw_vlak
echo 3
ogr2ogr -update -f GPKG -select typegeografischgebied,naamnl test.gpkg ..\gpkg\top10nl_GeografischGebied.gpkg top10nl_geografisch_gebied_punt
ogr2ogr -update -f GPKG -select typegeografischgebied,naamnl test.gpkg ..\gpkg\top10nl_GeografischGebied.gpkg top10nl_geografisch_gebied_vlak
ogr2ogr -update -f GPKG -select typegeografischgebied,naamnl test.gpkg ..\gpkg\top10nl_GeografischGebied.gpkg top10nl_geografisch_gebied_multivlak
echo 4
ogr2ogr -update -f GPKG -select typehoogte,hoogte test.gpkg ..\gpkg\top10nl_Hoogte.gpkg top10nl_hoogte_punt
ogr2ogr -update -f GPKG -select typehoogte,hoogte test.gpkg ..\gpkg\top10nl_Hoogte.gpkg top10nl_hoogte_lijn
echo 5
ogr2ogr -update -f GPKG -select typeinrichtingselement,hoogteniveau,hoogte,nummer,breedte,soortnaam,naam test.gpkg ..\gpkg\top10nl_Inrichtingselement.gpkg top10nl_inrichtingselement_punt
ogr2ogr -update -f GPKG -select typeinrichtingselement,hoogteniveau,hoogte,nummer,breedte,soortnaam,naam test.gpkg ..\gpkg\top10nl_Inrichtingselement.gpkg top10nl_inrichtingselement_lijn
echo 6
ogr2ogr -update -f GPKG -select typegebied,aantalinwoners,bebouwdekom,naamofficieel,naamnl test.gpkg ..\gpkg\top10nl_Plaats.gpkg top10nl_plaats_punt
ogr2ogr -update -f GPKG -select typegebied,aantalinwoners,bebouwdekom,naamofficieel,naamnl test.gpkg ..\gpkg\top10nl_Plaats.gpkg top10nl_plaats_vlak
ogr2ogr -update -f GPKG -select typegebied,aantalinwoners,bebouwdekom,naamofficieel,naamnl test.gpkg ..\gpkg\top10nl_Plaats.gpkg top10nl_plaats_multivlak
echo 7
ogr2ogr -update -f GPKG -select typeobject,naam test.gpkg ..\gpkg\top10nl_PlanTopografie.gpkg top10nl_plantopografie_vlak
echo 8
ogr2ogr -update -f GPKG -select typeregistratiefgebied,naamofficieel,naamnl,nummer test.gpkg ..\gpkg\top10nl_RegistratiefGebied.gpkg top10nl_registratief_gebied_vlak
ogr2ogr -update -f GPKG -select typeregistratiefgebied,naamofficieel,naamnl,nummer test.gpkg ..\gpkg\top10nl_RegistratiefGebied.gpkg top10nl_registratief_gebied_multivlak
echo 9
ogr2ogr -update -f GPKG -select typerelief,hoogteklasse,hoogteniveau,functie test.gpkg ..\gpkg\top10nl_Relief.gpkg top10nl_relief_talud_hoge_zijde_lijn
REM ogr2ogr -update -f GPKG -select typerelief,hoogteklasse,hoogteniveau,functie test.gpkg ..\gpkg\top10nl_Relief.gpkg top10nl_relief_talud_lage_zijde_lijn
ogr2ogr -update -f GPKG -select typerelief,hoogteklasse,hoogteniveau,functie test.gpkg ..\gpkg\top10nl_Relief.gpkg top10nl_relief_lijn
echo 10
ogr2ogr -update -f GPKG -select spoorbreedte,aantalsporen,vervoerfunctie,elektrificatie,brugnaam,tunnelnaam,baanvaknaam,typespoorbaan,hoofdspoor,hoogteniveau,typeinfrastructuur,fysiekvoorkomen,status test.gpkg ..\gpkg\top10nl_Spoorbaandeel.gpkg top10nl_spoorbaandeel_punt
ogr2ogr -update -f GPKG -select spoorbreedte,aantalsporen,vervoerfunctie,elektrificatie,brugnaam,tunnelnaam,baanvaknaam,typespoorbaan,hoofdspoor,hoogteniveau,typeinfrastructuur,fysiekvoorkomen,status test.gpkg ..\gpkg\top10nl_Spoorbaandeel.gpkg top10nl_spoorbaandeel_lijn
echo 11
ogr2ogr -update -f GPKG -select typelandgebruik,voorkomen,fysiekvoorkomen,naam test.gpkg ..\gpkg\top10nl_Terrein.gpkg top10nl_terrein_vlak
echo 12
ogr2ogr -update -f GPKG -select typewater,breedteklasse,hoofdafwatering,fysiekvoorkomen,voorkomen,hoogteniveau,functie,getijdeinvloed,vaarwegklasse,naamofficieel,naamnl,sluisnaam,brugnaam test.gpkg ..\gpkg\top10nl_Waterdeel.gpkg top10nl_waterdeel_punt
ogr2ogr -update -f GPKG -select typewater,breedteklasse,hoofdafwatering,fysiekvoorkomen,voorkomen,hoogteniveau,functie,getijdeinvloed,vaarwegklasse,naamofficieel,naamnl,sluisnaam,brugnaam test.gpkg ..\gpkg\top10nl_Waterdeel.gpkg top10nl_waterdeel_lijn
ogr2ogr -update -f GPKG -select typewater,breedteklasse,hoofdafwatering,fysiekvoorkomen,voorkomen,hoogteniveau,functie,getijdeinvloed,vaarwegklasse,naamofficieel,naamnl,sluisnaam,brugnaam test.gpkg ..\gpkg\top10nl_Waterdeel.gpkg top10nl_waterdeel_vlak
echo 13
ogr2ogr -update -f GPKG -select typeweg,hoogteniveau,typeinfrastructuur,hoofdverkeersgebruik,fysiekvoorkomen,verhardingsbreedteklasse,verhardingstype,status,naam,brugnaam,tunnelnaam test.gpkg ..\gpkg\top10nl_Wegdeel.gpkg top10nl_wegdeel_lijn
ogr2ogr -update -f GPKG -select typeweg,hoogteniveau,typeinfrastructuur,hoofdverkeersgebruik,fysiekvoorkomen,verhardingsbreedteklasse,gescheidenrijbaan,verhardingstype,aantalrijstroken,verhardingstype,status,awegnummer,nwegnummer,ewegnummer,swegnummer,afritnummer,afritnaam,naam,knooppuntnaam,brugnaam,tunnelnaam test.gpkg ..\gpkg\top10nl_Wegdeel.gpkg top10nl_wegdeel_hartlijn
ogr2ogr -update -f GPKG -select typeweg,hoogteniveau,typeinfrastructuur,hoofdverkeersgebruik,fysiekvoorkomen,verhardingsbreedteklasse,verhardingstype,status,naam,brugnaam,tunnelnaam test.gpkg ..\gpkg\top10nl_Wegdeel.gpkg top10nl_wegdeel_punt
ogr2ogr -update -f GPKG -select typeweg,hoogteniveau,typeinfrastructuur,hoofdverkeersgebruik,fysiekvoorkomen,verhardingsbreedteklasse,gescheidenrijbaan,verhardingstype,aantalrijstroken,verhardingstype,status,awegnummer,nwegnummer,ewegnummer,swegnummer,afritnummer,afritnaam,naam,knooppuntnaam,brugnaam,tunnelnaam test.gpkg ..\gpkg\top10nl_Wegdeel.gpkg top10nl_wegdeel_hartpunt
ogr2ogr -update -f GPKG -select typeweg,hoogteniveau,typeinfrastructuur,hoofdverkeersgebruik,fysiekvoorkomen,verhardingsbreedteklasse,gescheidenrijbaan,verhardingstype,aantalrijstroken,verhardingstype,status,awegnummer,nwegnummer,ewegnummer,swegnummer,afritnummer,afritnaam,naam,knooppuntnaam,brugnaam,tunnelnaam test.gpkg ..\gpkg\top10nl_Wegdeel.gpkg top10nl_wegdeel_vlak
echo done





